*********************************************************************
 
 PROGRAM NAME: CREATE_FORMATTED_FREQS_MAIN.SAS
 
 THIS IS AN EXAMPLE OF A SAS PROGRAM THAT ATTACHES VARIABLE
 VALUE LABELS TO THE SAS IMPUTATION DATA SETS.  ATTACHING 
 LABELS WILL ALLOW YOU TO PRODUCE FORMATTED OUTPUT LIKE THAT
 IN THE DETAILED VARIABLE CONTENT LISTING AND FREQUENCY 
 REPORTS IN THE DOCUMENTATION.

*********************************************************************;
** "PUF" REFERS TO THE DIRECTORY WHERE THE  **;
**  PERMANENT SAS DATASETS ARE CONTAINED    **;

LIBNAME PUF 'H:\Data\CSHCN II\PUF4';

** "library" REFERS TO THE DIRECTORY WHERE  **;
** PERMANENT FORMATS ARE GOING TO BE STORED **;

LIBNAME LIBRARY 'H:\Data\CSHCN II\PUF4\Imputed Files';

%INCLUDE "H:\Data\CSHCN II\PUF4\Imputed Files\create_imputed_formats.sas";     /* INPUT SAS PROGRAM THAT CREATES FORMATS */

DATA puf.cshcn05mimp_formatted_main;
 SET puf.cshcn05mimp_main;
%INCLUDE "H:\Data\CSHCN II\PUF4\Imputed Files\attach_formats-CSHCN05MIMP.sas"; /* INPUT SAS PROGRAM THAT ATTACHES FORMATS */
run;

PROC CONTENTS VARNUM;
TITLE1 "2005 CSHCN Poverty Multiple Imputation File Variables";
RUN;

PROC FREQ;
 TABLES
  IMPUTATION
  POVLEVEL_F
  POVLEVEL_I
/ MISSING LIST;
TITLE1 "2005 CSHCN Poverty Multiple Imputation File Variables";
run;
