**********************************************************************;
** COMBINED FORMAT LIBRARY FOR SLAITS STUDY CHILDREN                **;
** WITH SPECIAL HEALTH CARE NEEDS                                   **;
**********************************************************************;
** THESE FORMATS ARE USED FOR THE MULTIPLE IMPUTATION POVERTY       **;
** FILE                                                            **;
**********************************************************************;
** FORMATS ARE IN ALPHABETICAL ORDER BT FORMAT NAME                 **;
**********************************************************************;

* USER NOTE: TO CREATE TEMPORARY FORMATS, COMMENT OUT OR DELETE
             THE "LIBRARY = LIBRARY" STATEMENT BELOW;

PROC FORMAT LIBRARY = LIBRARY MAXLABLEN=155;

VALUE POVLEV_F
    0="0-POVERTY LEVEL NOT IMPUTED"
    1="1-POVERTY LEVEL IMPUTED"
;

VALUE POVLEV_I
   1 = "1-AT or BELOW 50% POVERTY LEVEL (AA)"
   2 = "2-ABOVE 50%, AT or BELOW 100% POVERTY LEVEL (A)"
   3 = "3-ABOVE 100%, AT or BELOW 133% POVERTY LEVEL (B)"
   4 = "4-ABOVE 133%, AT or BELOW 150% POVERTY LEVEL (C)"
   5 = "5-ABOVE 150%, AT or BELOW 185% POVERTY LEVEL (D)"
   6 = "6-ABOVE 185%, AT or BELOW 200% POVERTY LEVEL (E)"
   7 = "7-ABOVE 200%, AT or BELOW 300% POVERTY LEVEL (F)"
   8 = "8-ABOVE 300%, AT or BELOW 400% POVERTY LEVEL (G)"
   9 = "9-ABOVE 400% POVERTY LEVEL (H)"
;




